%define upstream_name    DateTime-Format-Pg
%define upstream_version 0.16014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Parse and format PostgreSQL dates and times
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime) >= 0.100.0
BuildRequires: perl(DateTime::Format::Builder) >= 0.720.0
BuildRequires: perl(DateTime::TimeZone) >= 0.50.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module understands the formats used by PostgreSQL for its DATE, TIME,
TIMESTAMP, and INTERVAL data types. It can be used to parse these formats
in order to create 'DateTime' or 'DateTime::Duration' objects, and it can
take a 'DateTime' or 'DateTime::Duration' object and produce a string
representing it in a format accepted by PostgreSQL.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.160.140-3.mga10
+ Revision: 2206938
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.160.140-2.mga9
+ Revision: 1814213
- Mageia 9 Mass Rebuild

* Fri Mar 19 2021 tv <tv> 0.160.140-1.mga9
+ Revision: 1704811
- update to 0.16014

* Wed Feb 12 2020 umeabot <umeabot> 0.160.130-4.mga8
+ Revision: 1503750
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.160.130-3.mga7
+ Revision: 1282651
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.160.130-2.mga7
+ Revision: 1163885
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 0.160.130-1.mga7
+ Revision: 1157969
- update to 0.16013

* Sat Jun 18 2016 pterjan <pterjan> 0.160.110-3.mga6
+ Revision: 1025234
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.160.110-2.mga6
+ Revision: 968152
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.160.110-1.mga6
+ Revision: 851409
- update to 0.16011

* Wed Oct 15 2014 umeabot <umeabot> 0.160.90-4.mga5
+ Revision: 745337
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.160.90-2.mga4
+ Revision: 533094
- Mageia 4 Mass Rebuild

* Sun Aug 25 2013 sander85 <sander85> 0.160.90-1.mga4
+ Revision: 471613
- update to 0.16009

* Sun Jan 13 2013 umeabot <umeabot> 0.160.80-2.mga3
+ Revision: 365639
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.160.80-1.mga3
+ Revision: 342036
- update to 0.16008

* Sat Nov 26 2011 kharec <kharec> 0.160.70-1.mga2
+ Revision: 172126
- update to 0.16007

* Wed Jun 15 2011 jquelin <jquelin> 0.160.60-1.mga2
+ Revision: 106797
- update to 0.16006

* Mon Jan 24 2011 jquelin <jquelin> 0.160.50-1.mga1
+ Revision: 37421
- mageia rebuild
- imported package perl-DateTime-Format-Pg


* Fri Dec 03 2010 Shlomi Fish <shlomif@mandriva.org> 0.160.50-1mdv2011.0
+ Revision: 607837
- import perl-DateTime-Format-Pg

